/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
//$Id: Person.java,v 1.5.2.5 2005/09/27 01:49:19 starksm Exp $
package org.jboss.ejb3.test.joininheritance;

import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;
import javax.persistence.Entity;

/**
 * @author Gavin King
 */
@Entity
@Table(name="PERSON_TABLE")
@Inheritance(strategy = InheritanceType.JOINED)
public class Person
{
   private long id;
   private String name;
   private String address;
   private String zip;
   private String country;
   private char sex;

   @Id(generate = GeneratorType.AUTO)
   public long getId()
   {
      return id;
   }

   public void setId(long id)
   {
      this.id = id;
   }

   public char getSex()
   {
      return sex;
   }

   public void setSex(char sex)
   {
      this.sex = sex;
   }

   public String getName()
   {
      return name;
   }

   public void setName(String identity)
   {
      this.name = identity;
   }

   public String getCountry()
   {
      return country;
   }

   public void setCountry(String country)
   {
      this.country = country;
   }

   public String getZip()
   {
      return zip;
   }

   public void setZip(String zip)
   {
      this.zip = zip;
   }

   public String getAddress()
   {
      return address;
   }

   public void setAddress(String address)
   {
      this.address = address;
   }
}
